<?php
$enabled = Mage::getStoreConfig('solwintransec/solwintransgroup/enable');
$selected = strtolower(Mage::getStoreConfig('solwintransec/solwintransgroup/selectlanguage'));
$layout = Mage::getStoreConfig('solwintransec/solwintransgroup/selectlayout');
$snippetenabel = Mage::getStoreConfig('solwintransec/solwintransgroup/enable_custom');
$snippet = Mage::getStoreConfig('solwintransec/solwintransgroup/snippet');

//get all option values from model function
$lanmodel = Mage::getModel('googlelangtranslator/system_config_source_language')->toOptionArray();

$exselect = explode(',', $selected);

if($layout){
    $layouthtml = 'layout: google.translate.TranslateElement.InlineLayout.'.$layout;
}else{
    $layouthtml = 'layout: google.translate.TranslateElement.InlineLayout.SIMPLE';
}
if ($enabled):
    if ($snippetenabel && $snippet != "") {
        ?>
        <div class="form-language">
            <?php echo $snippet; ?>
        </div>
        <?php
    } else {
        ?>
        <div id="google_translate_element"></div>
        <script type="text/javascript">
            function googleTranslateElementInit()
            {
                new google.translate.TranslateElement(
                        {
                            pageLanguage: 'en',
                            includedLanguages: '<?php echo $selected; ?>',
                            <?php echo $layouthtml; ?>
                        },
                'google_translate_element');
            }
        </script>
        <script type="text/javascript" src="//translate.google.com/translate_a/element.js?cb=googleTranslateElementInit"></script>
        <?php
    }
endif; 
